diff --git a/django/db/models/deletion.py b/django/db/models/deletion.py
index 310e3af..e165346 100644
--- a/django/db/models/deletion.py
+++ b/django/db/models/deletion.py
@@ -3,7 +3,6 @@ from operator import attrgetter
 
 from django.db import connections, transaction, IntegrityError
 from django.db.models import signals, sql
-from django.db.models.sql.constants import GET_ITERATOR_CHUNK_SIZE
 from django.utils.datastructures import SortedDict
 
 
diff --git a/django/db/models/fields/files.py b/django/db/models/fields/files.py
index 50dc236..d0dbf23 100644
--- a/django/db/models/fields/files.py
+++ b/django/db/models/fields/files.py
@@ -1,18 +1,14 @@
 import datetime
 import os
 
-from django.conf import settings
+from django import forms
 from django.db.models.fields import Field
-from django.core.files.base import File, ContentFile
+from django.core.files.base import File
 from django.core.files.storage import default_storage
-from django.core.files.images import ImageFile, get_image_dimensions
-from django.core.files.uploadedfile import UploadedFile
-from django.utils.functional import curry
+from django.core.files.images import ImageFile
 from django.db.models import signals
 from django.utils.encoding import force_unicode, smart_str
-from django.utils.translation import ugettext_lazy, ugettext as _
-from django import forms
-from django.db.models.loading import cache
+from django.utils.translation import ugettext_lazy as _
 
 class FieldFile(File):
     def __init__(self, instance, field, name):
@@ -215,7 +211,7 @@ class FileField(Field):
     # The descriptor to use for accessing the attribute off of the class.
     descriptor_class = FileDescriptor
 
-    description = ugettext_lazy("File path")
+    description = _("File path")
 
     def __init__(self, verbose_name=None, name=None, upload_to='', storage=None, **kwargs):
         for arg in ('primary_key', 'unique'):
@@ -321,7 +317,7 @@ class ImageFieldFile(ImageFile, FieldFile):
 class ImageField(FileField):
     attr_class = ImageFieldFile
     descriptor_class = ImageFileDescriptor
-    description = ugettext_lazy("File path")
+    description = _("File path")
 
     def __init__(self, verbose_name=None, name=None, width_field=None, height_field=None, **kwargs):
         self.width_field, self.height_field = width_field, height_field
diff --git a/django/db/models/fields/related.py b/django/db/models/fields/related.py
index cedf308..e7f4b9b 100644
--- a/django/db/models/fields/related.py
+++ b/django/db/models/fields/related.py
@@ -1,5 +1,4 @@
-from django.conf import settings
-from django.db import connection, router, transaction
+from django.db import connection, router
 from django.db.backends import util
 from django.db.models import signals, get_model
 from django.db.models.fields import (AutoField, Field, IntegerField,
@@ -9,8 +8,7 @@ from django.db.models.query import QuerySet
 from django.db.models.query_utils import QueryWrapper
 from django.db.models.deletion import CASCADE
 from django.utils.encoding import smart_unicode
-from django.utils.translation import (ugettext_lazy as _, string_concat,
-    ungettext, ugettext)
+from django.utils.translation import ugettext_lazy as _, string_concat
 from django.utils.functional import curry
 from django.core import exceptions
 from django import forms
diff --git a/django/db/models/loading.py b/django/db/models/loading.py
index 2c35fdb..03cdcc2 100644
--- a/django/db/models/loading.py
+++ b/django/db/models/loading.py
@@ -6,7 +6,6 @@ from django.utils.datastructures import SortedDict
 from django.utils.importlib import import_module
 from django.utils.module_loading import module_has_submodule
 
-import imp
 import sys
 import os
 import threading
diff --git a/django/db/models/manager.py b/django/db/models/manager.py
index 4fa4c4a..bdd86bb 100644
--- a/django/db/models/manager.py
+++ b/django/db/models/manager.py
@@ -1,5 +1,4 @@
 import copy
-from django.conf import settings
 from django.db import router
 from django.db.models.query import QuerySet, EmptyQuerySet, insert_query, RawQuerySet
 from django.db.models import signals
diff --git a/django/db/models/query.py b/django/db/models/query.py
index 6a6a829..c719d13 100644
--- a/django/db/models/query.py
+++ b/django/db/models/query.py
@@ -3,15 +3,12 @@ The main QuerySet implementation. This provides the public API for the ORM.
 """
 
 import copy
-from itertools import izip
 
 from django.db import connections, router, transaction, IntegrityError
-from django.db.models.aggregates import Aggregate
-from django.db.models.fields import DateField
 from django.db.models.query_utils import (Q, select_related_descend,
     deferred_class_factory, InvalidQuery)
 from django.db.models.deletion import Collector
-from django.db.models import signals, sql
+from django.db.models import sql
 
 # Used to control how many objects are worked with at once in some cases (e.g.
 # when deleting objects).
diff --git a/django/db/models/query_utils.py b/django/db/models/query_utils.py
index 69b19f1..a56ab5c 100644
--- a/django/db/models/query_utils.py
+++ b/django/db/models/query_utils.py
@@ -10,7 +10,6 @@ import weakref
 
 from django.db.backends import util
 from django.utils import tree
-from django.utils.datastructures import SortedDict
 
 
 class InvalidQuery(Exception):
diff --git a/django/db/models/sql/compiler.py b/django/db/models/sql/compiler.py
index 841ec12..b4502d8 100644
--- a/django/db/models/sql/compiler.py
+++ b/django/db/models/sql/compiler.py
@@ -5,8 +5,8 @@ from django.db.backends.util import truncate_name
 from django.db.models.sql.constants import *
 from django.db.models.sql.datastructures import EmptyResultSet
 from django.db.models.sql.expressions import SQLEvaluator
-from django.db.models.sql.query import get_proxied_model, get_order_dir, \
-     select_related_descend, Query
+from django.db.models.sql.query import (get_proxied_model, get_order_dir,
+     select_related_descend, Query)
 from django.db.utils import DatabaseError
 
 class SQLCompiler(object):
diff --git a/django/db/models/sql/subqueries.py b/django/db/models/sql/subqueries.py
index 003bf43..ecde857 100644
--- a/django/db/models/sql/subqueries.py
+++ b/django/db/models/sql/subqueries.py
@@ -3,11 +3,9 @@ Query subclasses which provide extra functionality beyond simple data retrieval.
 """
 
 from django.core.exceptions import FieldError
-from django.db import connections
 from django.db.models.fields import DateField, FieldDoesNotExist
 from django.db.models.sql.constants import *
 from django.db.models.sql.datastructures import Date
-from django.db.models.sql.expressions import SQLEvaluator
 from django.db.models.sql.query import Query
 from django.db.models.sql.where import AND, Constraint
 
diff --git a/django/db/models/sql/where.py b/django/db/models/sql/where.py
index 2427a52..3e9dbf0 100644
--- a/django/db/models/sql/where.py
+++ b/django/db/models/sql/where.py
@@ -6,7 +6,6 @@ from itertools import repeat
 
 from django.utils import tree
 from django.db.models.fields import Field
-from django.db.models.query_utils import QueryWrapper
 from datastructures import EmptyResultSet, FullResultSet
 
 # Connection types
diff --git a/django/db/transaction.py b/django/db/transaction.py
index 104243a..4ecd2d1 100644
--- a/django/db/transaction.py
+++ b/django/db/transaction.py
@@ -13,10 +13,8 @@ or implicit commits or rollbacks.
 """
 from __future__ import with_statement
 
-import sys
 from functools import wraps
 
-from django.conf import settings
 from django.db import connections, DEFAULT_DB_ALIAS
 
 
diff --git a/django/dispatch/saferef.py b/django/dispatch/saferef.py
index f446447..1c7d164 100644
--- a/django/dispatch/saferef.py
+++ b/django/dispatch/saferef.py
@@ -5,7 +5,8 @@ Provides a way to safely weakref any function, including bound methods (which
 aren't handled by the core weakref module).
 """
 
-import weakref, traceback
+import traceback
+import weakref
 
 def safeRef(target, onDelete = None):
     """Return a *safe* weak reference to a callable target
diff --git a/django/forms/extras/widgets.py b/django/forms/extras/widgets.py
index d75e903..5145578 100644
--- a/django/forms/extras/widgets.py
+++ b/django/forms/extras/widgets.py
@@ -2,7 +2,6 @@
 Extra HTML Widget classes
 """
 
-import time
 import datetime
 import re
 
diff --git a/django/forms/models.py b/django/forms/models.py
index b34f4d0..45e8d69 100644
--- a/django/forms/models.py
+++ b/django/forms/models.py
@@ -8,8 +8,7 @@ from django.utils.datastructures import SortedDict
 from django.utils.text import get_text_list, capfirst
 from django.utils.translation import ugettext_lazy as _, ugettext
 
-from django.core.exceptions import ValidationError, NON_FIELD_ERRORS, \
-                                   FieldError
+from django.core.exceptions import ValidationError, NON_FIELD_ERRORS, FieldError
 from django.core.validators import EMPTY_VALUES
 from util import ErrorList
 from forms import BaseForm, get_declared_fields
diff --git a/django/middleware/http.py b/django/middleware/http.py
index e98858f..86e46ce 100644
--- a/django/middleware/http.py
+++ b/django/middleware/http.py
@@ -1,4 +1,3 @@
-from django.core.exceptions import MiddlewareNotUsed
 from django.utils.http import http_date, parse_http_date_safe
 
 class ConditionalGetMiddleware(object):
diff --git a/django/templatetags/cache.py b/django/templatetags/cache.py
index 495623d..8183452 100644
--- a/django/templatetags/cache.py
+++ b/django/templatetags/cache.py
@@ -2,7 +2,6 @@ import hashlib
 from django.template import Library, Node, TemplateSyntaxError, Variable, VariableDoesNotExist
 from django.template import resolve_variable
 from django.core.cache import cache
-from django.utils.encoding import force_unicode
 from django.utils.http import urlquote
 
 register = Library()
diff --git a/django/templatetags/future.py b/django/templatetags/future.py
index 3d98879..248c865 100644
--- a/django/templatetags/future.py
+++ b/django/templatetags/future.py
@@ -1,7 +1,5 @@
-from django.conf import settings
-from django.template import Library, Node, Template, TemplateSyntaxError
-from django.template.defaulttags import kwarg_re, include_is_allowed, SsiNode, URLNode
-from django.utils.encoding import smart_str
+from django.template import Library, TemplateSyntaxError
+from django.template.defaulttags import kwarg_re, SsiNode, URLNode
 
 
 register = Library()
diff --git a/django/templatetags/i18n.py b/django/templatetags/i18n.py
index 1782136..492e763 100644
--- a/django/templatetags/i18n.py
+++ b/django/templatetags/i18n.py
@@ -1,11 +1,10 @@
 import re
 
-from django.template import Node, Variable, VariableNode
+from django.template import Node, Variable
 from django.template import TemplateSyntaxError, TokenParser, Library
 from django.template import TOKEN_TEXT, TOKEN_VAR
 from django.template.base import _render_value_in_context
 from django.utils import translation
-from django.utils.encoding import force_unicode
 from django.template.defaulttags import token_kwargs
 
 register = Library()
diff --git a/django/templatetags/l10n.py b/django/templatetags/l10n.py
index 5191e69..12cf136 100644
--- a/django/templatetags/l10n.py
+++ b/django/templatetags/l10n.py
@@ -1,4 +1,3 @@
-from django.conf import settings
 from django.template import Node
 from django.template import TemplateSyntaxError, Library
 from django.utils import formats
diff --git a/django/test/client.py b/django/test/client.py
index 4335f21..10d8727 100644
--- a/django/test/client.py
+++ b/django/test/client.py
@@ -5,7 +5,7 @@ import re
 import mimetypes
 import warnings
 from copy import copy
-from urlparse import urlparse, urlunparse, urlsplit
+from urlparse import urlparse, urlsplit
 try:
     from cStringIO import StringIO
 except ImportError:
@@ -24,7 +24,7 @@ from django.utils.encoding import smart_str
 from django.utils.http import urlencode
 from django.utils.importlib import import_module
 from django.utils.itercompat import is_iterable
-from django.db import transaction, close_connection
+from django.db import close_connection
 from django.test.utils import ContextList
 
 __all__ = ('Client', 'RequestFactory', 'encode_file', 'encode_multipart')
diff --git a/django/test/testcases.py b/django/test/testcases.py
index 02717ff..e767712 100644
--- a/django/test/testcases.py
+++ b/django/test/testcases.py
@@ -6,7 +6,7 @@ from functools import wraps
 from urlparse import urlsplit, urlunsplit
 from xml.dom.minidom import parseString, Node
 
-from django.conf import settings, UserSettingsHolder
+from django.conf import settings
 from django.core import mail
 from django.core.management import call_command
 from django.core.signals import request_started
diff --git a/django/test/utils.py b/django/test/utils.py
index 19a3190..180028a 100644
--- a/django/test/utils.py
+++ b/django/test/utils.py
@@ -1,12 +1,8 @@
 from __future__ import with_statement
 
-import sys
-import time
-import os
 import warnings
 from django.conf import settings, UserSettingsHolder
 from django.core import mail
-from django.core.mail.backends import locmem
 from django.test.signals import template_rendered, setting_changed
 from django.template import Template, loader, TemplateDoesNotExist
 from django.template.loaders import cached
diff --git a/django/utils/cache.py b/django/utils/cache.py
index bd23940..81a8279 100644
--- a/django/utils/cache.py
+++ b/django/utils/cache.py
@@ -26,7 +26,6 @@ from django.core.cache import get_cache
 from django.utils.encoding import smart_str, iri_to_uri
 from django.utils.http import http_date
 from django.utils.translation import get_language
-from django.http import HttpRequest
 
 cc_delim_re = re.compile(r'\s*,\s*')
 
diff --git a/django/utils/log.py b/django/utils/log.py
index 969a9d9..d25db69 100644
--- a/django/utils/log.py
+++ b/django/utils/log.py
@@ -1,5 +1,4 @@
 import logging
-import sys
 import traceback
 
 from django.conf import settings
diff --git a/django/utils/text.py b/django/utils/text.py
index 00c999c..6c574b4 100644
--- a/django/utils/text.py
+++ b/django/utils/text.py
@@ -1,8 +1,16 @@
 import re
+from gzip import GzipFile
+from htmlentitydefs import name2codepoint
+
+try:
+    from cStringIO import StringIO
+except ImportError:
+    from StringIO import StringIO
+
 from django.utils.encoding import force_unicode
 from django.utils.functional import allow_lazy
 from django.utils.translation import ugettext_lazy, ugettext as _
-from htmlentitydefs import name2codepoint
+
 
 # Capitalizes the first letter of a string.
 capfirst = lambda x: x and force_unicode(x)[0].upper() + force_unicode(x)[1:]
@@ -180,9 +188,8 @@ phone2numeric = allow_lazy(phone2numeric)
 # From http://www.xhaus.com/alan/python/httpcomp.html#gzip
 # Used with permission.
 def compress_string(s):
-    import cStringIO, gzip
-    zbuf = cStringIO.StringIO()
-    zfile = gzip.GzipFile(mode='wb', compresslevel=6, fileobj=zbuf)
+    zbuf = StringIO()
+    zfile = GzipFile(mode='wb', compresslevel=6, fileobj=zbuf)
     zfile.write(s)
     zfile.close()
     return zbuf.getvalue()
diff --git a/django/utils/timesince.py b/django/utils/timesince.py
index c584ce6..369a3e2 100644
--- a/django/utils/timesince.py
+++ b/django/utils/timesince.py
@@ -1,5 +1,4 @@
 import datetime
-import time
 
 from django.utils.tzinfo import LocalTimezone
 from django.utils.translation import ungettext, ugettext
diff --git a/django/utils/translation/trans_null.py b/django/utils/translation/trans_null.py
index 5622c03..170cd5d 100644
--- a/django/utils/translation/trans_null.py
+++ b/django/utils/translation/trans_null.py
@@ -2,7 +2,6 @@
 # that don't actually do anything. This is purely for performance, so that
 # settings.USE_I18N = False can use this module rather than trans_real.py.
 
-import warnings
 from django.conf import settings
 from django.utils.encoding import force_unicode
 from django.utils.safestring import mark_safe, SafeData
diff --git a/django/utils/translation/trans_real.py b/django/utils/translation/trans_real.py
index 9e8285b..345e46d 100644
--- a/django/utils/translation/trans_real.py
+++ b/django/utils/translation/trans_real.py
@@ -4,11 +4,14 @@ import locale
 import os
 import re
 import sys
-import warnings
 import gettext as gettext_module
-from cStringIO import StringIO
 from threading import local
 
+try:
+    from cStringIO import StringIO
+except ImportError:
+    from StringIO import StringIO
+
 from django.utils.importlib import import_module
 from django.utils.safestring import mark_safe, SafeData
 
diff --git a/django/utils/unittest/__init__.py b/django/utils/unittest/__init__.py
index ac852a3..ac007b9 100644
--- a/django/utils/unittest/__init__.py
+++ b/django/utils/unittest/__init__.py
@@ -52,21 +52,19 @@ except ImportError:
 
         from django.utils.unittest.collector import collector
         from django.utils.unittest.result import TestResult
-        from django.utils.unittest.case import \
-            TestCase, FunctionTestCase, SkipTest, skip, skipIf,\
-            skipUnless, expectedFailure
+        from django.utils.unittest.case import (TestCase, FunctionTestCase,
+            SkipTest, skip, skipIf, skipUnless, expectedFailure)
 
         from django.utils.unittest.suite import BaseTestSuite, TestSuite
-        from django.utils.unittest.loader import \
-            TestLoader, defaultTestLoader, makeSuite, getTestCaseNames,\
-            findTestCases
+        from django.utils.unittest.loader import (TestLoader, defaultTestLoader,
+            makeSuite, getTestCaseNames, findTestCases)
 
         from django.utils.unittest.main import TestProgram, main, main_
         from django.utils.unittest.runner import TextTestRunner, TextTestResult
 
         try:
-            from django.utils.unittest.signals import\
-                installHandler, registerResult, removeResult, removeHandler
+            from django.utils.unittest.signals import (installHandler,
+                registerResult, removeResult, removeHandler)
         except ImportError:
             # Compatibility with platforms that don't have the signal module
             pass
diff --git a/django/utils/unittest/case.py b/django/utils/unittest/case.py
index 78507c1..d81d666 100644
--- a/django/utils/unittest/case.py
+++ b/django/utils/unittest/case.py
@@ -12,7 +12,7 @@ from django.utils.unittest.util import\
     safe_repr, safe_str, strclass,\
     unorderable_list_difference
 
-from django.utils.unittest.compatibility import wraps
+from functools import wraps
 
 __unittest = True
 
diff --git a/django/utils/unittest/compatibility.py b/django/utils/unittest/compatibility.py
index a0dc499..b8d6397 100644
--- a/django/utils/unittest/compatibility.py
+++ b/django/utils/unittest/compatibility.py
@@ -1,14 +1,8 @@
 import os
 import sys
 
-try:
-    from functools import wraps
-except ImportError:
-    # only needed for Python 2.4
-    def wraps(_):
-        def _wraps(func):
-            return func
-        return _wraps
+# Backwards compatibility: Django used to re-define `wraps` for Python 2.4.
+from functools import wraps
 
 __unittest = True
 
diff --git a/django/utils/unittest/result.py b/django/utils/unittest/result.py
index 2d2a1ad..2b8fae2 100644
--- a/django/utils/unittest/result.py
+++ b/django/utils/unittest/result.py
@@ -3,11 +3,10 @@
 import sys
 import traceback
 import unittest
-
+from functools import wraps
 from StringIO import StringIO
 
 from django.utils.unittest import util
-from django.utils.unittest.compatibility import wraps
 
 __unittest = True
 
diff --git a/django/utils/unittest/signals.py b/django/utils/unittest/signals.py
index f1731ea..fc31043 100644
--- a/django/utils/unittest/signals.py
+++ b/django/utils/unittest/signals.py
@@ -1,7 +1,7 @@
 import signal
 import weakref
 
-from django.utils.unittest.compatibility import wraps
+from functools import wraps
 
 __unittest = True
 
diff --git a/django/utils/version.py b/django/utils/version.py
index 557135f..cb8623b 100644
--- a/django/utils/version.py
+++ b/django/utils/version.py
@@ -1,5 +1,4 @@
 import django
-import os.path
 import re
 
 def get_svn_revision(path=None):
diff --git a/django/views/debug.py b/django/views/debug.py
index 490d4bb..58d271b 100644
--- a/django/views/debug.py
+++ b/django/views/debug.py
@@ -3,7 +3,6 @@ import os
 import re
 import sys
 import types
-from pprint import pformat
 
 from django.conf import settings
 from django.http import (HttpResponse, HttpResponseServerError,
diff --git a/django/views/decorators/http.py b/django/views/decorators/http.py
index 6fc882e..495a7b1 100644
--- a/django/views/decorators/http.py
+++ b/django/views/decorators/http.py
@@ -3,7 +3,6 @@ Decorators for views based on HTTP headers.
 """
 
 from calendar import timegm
-from datetime import timedelta
 from functools import wraps
 
 from django.utils.decorators import decorator_from_middleware, available_attrs
diff --git a/django/views/generic/base.py b/django/views/generic/base.py
index 6b52567..f2d4950 100644
--- a/django/views/generic/base.py
+++ b/django/views/generic/base.py
@@ -1,7 +1,6 @@
 from functools import update_wrapper
 from django import http
 from django.core.exceptions import ImproperlyConfigured
-from django.template import RequestContext, loader
 from django.template.response import TemplateResponse
 from django.utils.log import getLogger
 from django.utils.decorators import classonlymethod
diff --git a/django/views/generic/detail.py b/django/views/generic/detail.py
index 7e9047f..16e2c48 100644
--- a/django/views/generic/detail.py
+++ b/django/views/generic/detail.py
@@ -1,5 +1,3 @@
-import re
-
 from django.core.exceptions import ImproperlyConfigured, ObjectDoesNotExist
 from django.http import Http404
 from django.utils.encoding import smart_str
diff --git a/django/views/generic/list.py b/django/views/generic/list.py
index 5135763..9797356 100644
--- a/django/views/generic/list.py
+++ b/django/views/generic/list.py
@@ -1,5 +1,3 @@
-import re
-
 from django.core.paginator import Paginator, InvalidPage
 from django.core.exceptions import ImproperlyConfigured
 from django.http import Http404
diff --git a/tests/modeltests/basic/models.py b/tests/modeltests/basic/models.py
index 5f51fd8..26fddf0 100644
--- a/tests/modeltests/basic/models.py
+++ b/tests/modeltests/basic/models.py
@@ -4,7 +4,7 @@
 
 This is a basic model with only two non-primary-key fields.
 """
-from django.db import models, DEFAULT_DB_ALIAS, connection
+from django.db import models
 
 class Article(models.Model):
     headline = models.CharField(max_length=100, default='Default headline')
diff --git a/tests/modeltests/basic/tests.py b/tests/modeltests/basic/tests.py
index 966798d..ff09d9b 100644
--- a/tests/modeltests/basic/tests.py
+++ b/tests/modeltests/basic/tests.py
@@ -1,7 +1,6 @@
 from datetime import datetime
 
 from django.core.exceptions import ObjectDoesNotExist
-from django.db import models, DEFAULT_DB_ALIAS, connection
 from django.db.models.fields import FieldDoesNotExist
 from django.test import TestCase, skipIfDBFeature, skipUnlessDBFeature
 
diff --git a/tests/modeltests/custom_pk/models.py b/tests/modeltests/custom_pk/models.py
index ff2f2ba..c514fd7 100644
--- a/tests/modeltests/custom_pk/models.py
+++ b/tests/modeltests/custom_pk/models.py
@@ -6,8 +6,7 @@ By default, Django adds an ``"id"`` field to each model. But you can override
 this behavior by explicitly adding ``primary_key=True`` to a field.
 """
 
-from django.conf import settings
-from django.db import models, transaction, IntegrityError, DEFAULT_DB_ALIAS
+from django.db import models
 
 from fields import MyAutoField
 
diff --git a/tests/modeltests/custom_pk/tests.py b/tests/modeltests/custom_pk/tests.py
index c410ad1..6b94b6d 100644
--- a/tests/modeltests/custom_pk/tests.py
+++ b/tests/modeltests/custom_pk/tests.py
@@ -1,6 +1,5 @@
 # -*- coding: utf-8 -*-
-from django.conf import settings
-from django.db import DEFAULT_DB_ALIAS, transaction, IntegrityError
+from django.db import transaction, IntegrityError
 from django.test import TestCase, skipIfDBFeature
 
 from models import Employee, Business, Bar, Foo
diff --git a/tests/modeltests/delete/models.py b/tests/modeltests/delete/models.py
index ee9e999..f8b78eb 100644
--- a/tests/modeltests/delete/models.py
+++ b/tests/modeltests/delete/models.py
@@ -1,4 +1,4 @@
-from django.db import models, IntegrityError
+from django.db import models
 
 
 class R(models.Model):
diff --git a/tests/modeltests/field_subclassing/fields.py b/tests/modeltests/field_subclassing/fields.py
index 309648e..d6e4980 100644
--- a/tests/modeltests/field_subclassing/fields.py
+++ b/tests/modeltests/field_subclassing/fields.py
@@ -1,4 +1,3 @@
-from django.core.exceptions import FieldError
 from django.db import models
 from django.utils import simplejson as json
 from django.utils.encoding import force_unicode
diff --git a/tests/modeltests/field_subclassing/models.py b/tests/modeltests/field_subclassing/models.py
index b0d8336..c59c0d5 100644
--- a/tests/modeltests/field_subclassing/models.py
+++ b/tests/modeltests/field_subclassing/models.py
@@ -5,7 +5,7 @@ Tests for field subclassing.
 from django.db import models
 from django.utils.encoding import force_unicode
 
-from fields import Small, SmallField, SmallerField, JSONField
+from fields import SmallField, SmallerField, JSONField
 
 
 class MyModel(models.Model):
diff --git a/tests/modeltests/files/models.py b/tests/modeltests/files/models.py
index ca8965e..4134472 100644
--- a/tests/modeltests/files/models.py
+++ b/tests/modeltests/files/models.py
@@ -9,7 +9,6 @@ import random
 import tempfile
 
 from django.db import models
-from django.core.files.base import ContentFile
 from django.core.files.storage import FileSystemStorage
 
 
diff --git a/tests/modeltests/files/tests.py b/tests/modeltests/files/tests.py
index 885f787..e8e7a76 100644
--- a/tests/modeltests/files/tests.py
+++ b/tests/modeltests/files/tests.py
@@ -1,7 +1,6 @@
 from __future__ import with_statement
 
 import shutil
-import sys
 import tempfile
 
 from django.core.cache import cache
diff --git a/tests/modeltests/fixtures/models.py b/tests/modeltests/fixtures/models.py
index c8fd6a6..d2317d2 100644
--- a/tests/modeltests/fixtures/models.py
+++ b/tests/modeltests/fixtures/models.py
@@ -11,8 +11,7 @@ in the application directory, or in one of the directories named in the
 from django.contrib.auth.models import Permission
 from django.contrib.contenttypes import generic
 from django.contrib.contenttypes.models import ContentType
-from django.db import models, DEFAULT_DB_ALIAS
-from django.conf import settings
+from django.db import models
 
 
 class Category(models.Model):
diff --git a/tests/modeltests/fixtures/tests.py b/tests/modeltests/fixtures/tests.py
index 31f72f0..c335ffb 100644
--- a/tests/modeltests/fixtures/tests.py
+++ b/tests/modeltests/fixtures/tests.py
@@ -1,13 +1,10 @@
 import StringIO
-import sys
 
-from django.conf import settings
 from django.contrib.sites.models import Site
 from django.core import management
-from django.db import DEFAULT_DB_ALIAS
 from django.test import TestCase, TransactionTestCase, skipUnlessDBFeature
 
-from models import Article, Blog, Book, Category, Person, Spy, Tag, Visa
+from models import Article, Book, Spy, Tag, Visa
 
 
 class TestCaseFixtureLoadingTests(TestCase):
diff --git a/tests/modeltests/fixtures_model_package/models/__init__.py b/tests/modeltests/fixtures_model_package/models/__init__.py
index c0450b2..5cb0e4a 100644
--- a/tests/modeltests/fixtures_model_package/models/__init__.py
+++ b/tests/modeltests/fixtures_model_package/models/__init__.py
@@ -1,5 +1,4 @@
 from django.db import models
-from django.conf import settings
 
 class Article(models.Model):
     headline = models.CharField(max_length=100, default='Default headline')
diff --git a/tests/modeltests/force_insert_update/models.py b/tests/modeltests/force_insert_update/models.py
index 9516be7..e617aa2 100644
--- a/tests/modeltests/force_insert_update/models.py
+++ b/tests/modeltests/force_insert_update/models.py
@@ -2,7 +2,7 @@
 Tests for forcing insert and update queries (instead of Django's normal
 automatic behaviour).
 """
-from django.db import models, transaction, IntegrityError
+from django.db import models
 
 class Counter(models.Model):
     name = models.CharField(max_length = 10)
diff --git a/tests/modeltests/get_object_or_404/models.py b/tests/modeltests/get_object_or_404/models.py
index eb3cd82..f62dd0c 100644
--- a/tests/modeltests/get_object_or_404/models.py
+++ b/tests/modeltests/get_object_or_404/models.py
@@ -11,8 +11,6 @@ performing a ``filter()`` lookup and raising a ``Http404`` exception if a
 """
 
 from django.db import models
-from django.http import Http404
-from django.shortcuts import get_object_or_404, get_list_or_404
 
 class Author(models.Model):
     name = models.CharField(max_length=50)
diff --git a/tests/modeltests/get_or_create/models.py b/tests/modeltests/get_or_create/models.py
index db5719b..14f55f8 100644
--- a/tests/modeltests/get_or_create/models.py
+++ b/tests/modeltests/get_or_create/models.py
@@ -6,7 +6,7 @@ given parameters. If an object isn't found, it creates one with the given
 parameters.
 """
 
-from django.db import models, IntegrityError
+from django.db import models
 
 class Person(models.Model):
     first_name = models.CharField(max_length=100)
diff --git a/tests/modeltests/lookup/models.py b/tests/modeltests/lookup/models.py
index d807531..82434bb 100644
--- a/tests/modeltests/lookup/models.py
+++ b/tests/modeltests/lookup/models.py
@@ -4,8 +4,7 @@
 This demonstrates features of the database API.
 """
 
-from django.db import models, DEFAULT_DB_ALIAS, connection
-from django.conf import settings
+from django.db import models
 
 class Author(models.Model):
     name = models.CharField(max_length=100)
diff --git a/tests/modeltests/lookup/tests.py b/tests/modeltests/lookup/tests.py
index 3f40bf1..b05227c 100644
--- a/tests/modeltests/lookup/tests.py
+++ b/tests/modeltests/lookup/tests.py
@@ -1,7 +1,6 @@
 from datetime import datetime
 from operator import attrgetter
 from django.core.exceptions import FieldError
-from django.db import connection
 from django.test import TestCase, skipUnlessDBFeature
 from models import Author, Article, Tag
 
diff --git a/tests/modeltests/m2m_through/tests.py b/tests/modeltests/m2m_through/tests.py
index 807e952..814e54f 100644
--- a/tests/modeltests/m2m_through/tests.py
+++ b/tests/modeltests/m2m_through/tests.py
@@ -3,8 +3,8 @@ from operator import attrgetter
 
 from django.test import TestCase
 
-from models import Person, Group, Membership, CustomMembership, \
-    TestNoDefaultsOrNulls, PersonSelfRefM2M, Friendship
+from models import (Person, Group, Membership, CustomMembership,
+    PersonSelfRefM2M, Friendship)
 
 
 class M2mThroughTests(TestCase):
diff --git a/tests/modeltests/model_forms/models.py b/tests/modeltests/model_forms/models.py
index 7204b28..5dcc039 100644
--- a/tests/modeltests/model_forms/models.py
+++ b/tests/modeltests/model_forms/models.py
@@ -7,7 +7,6 @@ and the examples are probably a poor fit for the ``ModelForm`` syntax. In other
 words, most of these tests should be rewritten.
 """
 
-import os
 import tempfile
 
 from django.db import models
